Package ghidra.app.decompiler.component

# Class DualDecompilerActionContext

java.lang.Object
docking.DefaultActionContext
ghidra.app.util.viewer.util.CodeComparisonActionContext
ghidra.app.decompiler.component.DualDecompilerActionContext

All Implemented Interfaces:
  `ActionContext`, `RestrictedAddressSetContext`, `CodeComparisonPanelActionContext`

public class DualDecompilerActionContext extends CodeComparisonActionContext implements RestrictedAddressSetContext
Action context for a dual decompiler panel.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DualDecompilerActionContext(ComponentProvider provider, CDisplayPanel cPanel, Component source)`
  Creates an action context for a dual decompiler panel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CodeComparisonPanel<? extends FieldPanelCoordinator>`
  `getCodeComparisonPanel()`
  Gets the CodeComparisonPanel associated with this context.
  `Function`
  `getSourceFunction()`
  Returns the function that is the source of the info being applied.
  `Function`
  `getTargetFunction()`
  Returns the function that is the target of the info being applied.
  `void`
  `setCodeComparisonPanel(CodeComparisonPanel<? extends FieldPanelCoordinator> codeComparisonPanel)`
  Sets the CodeComparisonPanel associated with this context.

  ### Methods inherited from class docking.DefaultActionContext

  `getComponentProvider, getContextObject, getEventClickModifiers, getMouseEvent, getSourceComponent, getSourceObject, hasAnyEventClickModifiers, setContextObject, setEventClickModifiers, setMouseEvent, setSourceObject, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DualDecompilerActionContext

    public DualDecompilerActionContext(ComponentProvider provider, CDisplayPanel cPanel, Component source)
    Creates an action context for a dual decompiler panel.
    Parameters:
      `provider` - the provider for this context
      `cPanel` - the decompiler panel associated with this context
      `source` - the source of the action

- ## Method Details

  - ### setCodeComparisonPanel

    public void setCodeComparisonPanel(CodeComparisonPanel<? extends FieldPanelCoordinator> codeComparisonPanel)
    Sets the CodeComparisonPanel associated with this context.
    Parameters:
      `codeComparisonPanel` - the code comparison panel.

  - ### getCodeComparisonPanel

    public CodeComparisonPanel<? extends FieldPanelCoordinator> getCodeComparisonPanel()
    Description copied from interface: `CodeComparisonPanelActionContext`
    Gets the CodeComparisonPanel associated with this context.
    Specified by:
      `getCodeComparisonPanel` in interface `CodeComparisonPanelActionContext`
    Returns:
      the code comparison panel.

  - ### getSourceFunction

    public Function getSourceFunction()
    Description copied from class: `CodeComparisonActionContext`
    Returns the function that is the source of the info being applied. This will be whichever side of the function diff window that isn't active.
    Specified by:
      `getSourceFunction` in class `CodeComparisonActionContext`
    Returns:
      the function to get information from

  - ### getTargetFunction

    public Function getTargetFunction()
    Description copied from class: `CodeComparisonActionContext`
    Returns the function that is the target of the info being applied. This will be whichever side of the function diff window that is active.
    Specified by:
      `getTargetFunction` in class `CodeComparisonActionContext`
    Returns:
      the function to apply information to